//package com.cloud.diplomaticquarterapp
package com.ejada.hmg

import com.facebook.stetho.Stetho
import io.flutter.app.FlutterApplication

class Application : FlutterApplication() {
    override fun onCreate() {
        super.onCreate()

//        Stetho.initializeWithDefaults(this);
        // Create an InitializerBuilder
        // Create an InitializerBuilder
        val initializerBuilder = Stetho.newInitializerBuilder(this)


        // Enable Chrome DevTools
        initializerBuilder.enableWebKitInspector(
                Stetho.defaultInspectorModulesProvider(this)
        )

        // Enable command line interface
        initializerBuilder.enableDumpapp(
                Stetho.defaultDumperPluginsProvider(this)
        )


        // Use the InitializerBuilder to generate an Initializer
        val initializer = initializerBuilder.build()


        // Initialize Stetho with the Initializer
        Stetho.initialize(initializer)
    }
}

//import io.flutter.app.FlutterApplication
//import io.flutter.plugin.common.PluginRegistry
//import io.flutter.plugin.common.PluginRegistry.PluginRegistrantCallback
//import io.flutter.plugins.firebasemessaging.FlutterFirebaseMessagingService
//
//class Application : FlutterApplication(), PluginRegistrantCallback {
//    override fun onCreate() {
//        super.onCreate()
//        FlutterFirebaseMessagingService.setPluginRegistrant(this)
//    }
//
//    override fun registerWith(registry: PluginRegistry?) {
//        FirebaseCloudMessagingPluginRegistrant.registerWith(registry)
//    }
//}